<mat-card class="example-card">
    <mat-card-title-group>
        <mat-card-title>{{user.firstName}} {{user.lastName}}</mat-card-title>
        <mat-card-subtitle>Registered at: {{user.registeredAt | format}}</mat-card-subtitle>
        <mat-card-subtitle>Email: {{user.email}}</mat-card-subtitle>
    </mat-card-title-group>
    <mat-card-content>
        Team: {{user.team?.name}}
    </mat-card-content>
    <mat-card-actions class="actions-buttons" align="end">
        <button mat-icon-button color="primary" (click)="toggleEditContainer()" >
          <mat-icon aria-label="Edit">edit</mat-icon>
        </button>
        <button mat-icon-button color="basic" (click)="deleteUser()">
          <mat-icon aria-label="Delete" >delete</mat-icon>
        </button>
      </mat-card-actions>
</mat-card>
<mat-card class="example-card" *ngIf="showEditContainer">
  <mat-card-title>Edit</mat-card-title>
  <mat-card-content>
      <mat-form-field appearance="fill">
          <mat-label>Enter firstname</mat-label>
          <input matInput [(ngModel)]="user.firstName" #input maxlength="30" minlength="4" placeholder="firstName">
      </mat-form-field>
      <mat-form-field appearance="fill">
        <mat-label>Enter lastname</mat-label>
        <input matInput [(ngModel)]="user.lastName" #input maxlength="30" minlength="4" placeholder="lastName">
    </mat-form-field>
      <mat-form-field class="example-full-width" appearance="fill">
          <mat-label>Email</mat-label>
          <textarea [(ngModel)]="user.email" name="email" matInput
              placeholder="Your email"></textarea>
      </mat-form-field>
  </mat-card-content>
  <mat-card-actions align="end">
      <button mat-icon-button color="primary" matTooltip="Edit it" (click)="editUser()">
          <mat-icon aria-label="Edit">send</mat-icon>
      </button>
  </mat-card-actions>
</mat-card>